=== debian/changelog ===
gau2grid (1.0.1-2) unstable; urgency=medium

  * debian/control (Testsuite): Added autopkgtest-pkg-python.
  * debian/control (python3-gau2grid/Description): Expand.
  * debian/gitlab-ci.yml: New file.

 -- Michael Banck <mbanck@debian.org>  Sat, 01 Dec 2018 09:42:06 +0100

gau2grid (1.0.1-1) unstable; urgency=medium

  * Initial release.

 -- Michael Banck <mbanck@debian.org>  Fri, 25 May 2018 23:05:12 +0200
