=== debian/control ===
Source: gau2grid
Section: libs
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 10),
               cmake (>= 3.0.2),
               dh-python,
               python-minimal,
               python3-dev (>= 3.6),
               python3-numpy,
               python3-pytest,
               python3-setuptools
Standards-Version: 4.1.3
X-Python3-Version: >= 3.6
Homepage: https://github.com/dgasmith/gau2grid/
Testsuite: autopkgtest-pkg-python
Vcs-Browser: https://salsa.debian.org/debichem-team/gau2grid
Vcs-Git: https://salsa.debian.org/debichem-team/gau2grid.git

Package: python3-gau2grid
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Description: Computing gaussians on a grid
 gau2grid is a python-generated C library for vectorized computation of grid to
 gaussian collocation matrices. The core of gau2grid is generating the
 collocation matrices between a real space grid and a gaussian basis set
 expanded to a given angular momenta.
