=== debian/changelog ===
gau2grid (1.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Banck <mbanck@debian.org>  Sat, 01 Dec 2018 17:48:15 +0100
