## gau2grid 1.2.0+git20181201

=== debian/changelog ===
gau2grid (1.2.0+git20181201-1) unstable; urgency=medium

  * New upstream development snapshot.

 -- Michael Banck <mbanck@debian.org>  Sat, 01 Dec 2018 23:12:46 +0100
