## gau2grid 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 include(psi4OptionsTools)
 option_with_default(MAX_AM "The maximum gaussian angular momentum to compile" 8)
 option_with_default(SPHERICAL_ORDER "The order for the spherical basis functions. Options: cca, gaussian" "gaussian")
-option_with_default(CARTESIAN_ORDER "The order for the cartesian basis functions. Options: row" "row")
+option_with_default(CARTESIAN_ORDER "The order for the cartesian basis functions. Options: row, molden" "row")
 
 option_with_default(MAX_AM "The maximum gaussian angular momentum to compile" 8)
 option_with_default(CMAKE_BUILD_TYPE "Build type (Release or Debug)" Release)
@@ -32,6 +32,9 @@
 endif()
 if(NOT ((${SPHERICAL_ORDER} STREQUAL "cca") OR (${SPHERICAL_ORDER} STREQUAL "gaussian")))
     message(FATAL_ERROR "SPHERICAL_ORDER must be 'cca' or 'gaussian': ${SPHERICAL_ORDER}")
+endif()
+if(NOT ((${CARTESIAN_ORDER} STREQUAL "row") OR (${CARTESIAN_ORDER} STREQUAL "molden")))
+    message(FATAL_ERROR "CARTESIAN_ORDER must be 'row' or 'molden': ${CARTESIAN_ORDER}")
 endif()
 
 # Install
@@ -58,7 +61,7 @@
 
 ################################  Main Project  ################################
 add_custom_command(
-    OUTPUT  gau2grid.h gau2grid_phi.c gau2grid_deriv1.c gau2grid_deriv2.c gau2grid_spherical.c gau2grid_helper.c
+    OUTPUT  gau2grid.h gau2grid_orbital.c gau2grid_phi.c gau2grid_deriv1.c gau2grid_deriv2.c gau2grid_spherical.c gau2grid_helper.c
     COMMAND ${PYTHON_EXECUTABLE} -c "import sys; \
                                      sys.path.append('${CMAKE_SOURCE_DIR}'); \
                                      import gau2grid as gg; \
@@ -67,14 +70,20 @@
     VERBATIM)
 
 set(sources_list ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_phi.c
+                 ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_orbital.c
                  ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_deriv1.c
                  ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_deriv2.c
                  ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_spherical.c
                  ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_helper.c)
 
 add_library(gg ${sources_list})
-set_target_properties(gg PROPERTIES COMPILE_FLAGS "-std=c99")
-set_target_properties(gg PROPERTIES POSITION_INDEPENDENT_CODE ${BUILD_FPIC})
+if ("${CMAKE_C_COMPILER_ID}" STREQUAL "PGI")
+    set_target_properties(gg PROPERTIES COMPILE_FLAGS "-c11")
+else()
+    set_target_properties(gg PROPERTIES COMPILE_FLAGS "-std=c11")
+endif()
+set_target_properties(gg PROPERTIES POSITION_INDEPENDENT_CODE ${BUILD_FPIC}
+                                    SOVERSION 1)  # bump whenever interface has changes or removals
 
 if(${BUILD_SHARED_LIBS})
     target_link_libraries(gg PRIVATE ${LIBC_INTERJECT})
