=== debian/changelog ===
gau2grid (1.3.0-2) unstable; urgency=medium

  * debian/control: Rename package libgg1-dev to libgg-dev.
  * debian/libgg1-dev.install: Renamed to ... 
  * debian/libgg-dev.install: ... this.

 -- Michael Banck <mbanck@debian.org>  Sun, 02 Dec 2018 15:08:30 +0100

gau2grid (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/gitlab-ci.yml: Reorder source unpack and build dependency install.
  * debian/control (libgg1, libgg1-dev): New packages.
  * debian/python3-gau2grid.install: New file.
  * debian/libgg1.install: Likewise.
  * debian/libgg1-dev.install: Likewise.
  * debian/rules: Build via cmake as well.

 -- Michael Banck <mbanck@debian.org>  Sun, 02 Dec 2018 12:37:51 +0100
