## gau2grid 1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.1 FATAL_ERROR)
 
 project(gau2grid
-        VERSION 1.2.0
+        VERSION 1.3.1
         LANGUAGES C)
 set(gau2grid_AUTHORS      "Daniel G. A. Smith")
 set(gau2grid_DESCRIPTION  "Fast computation of a gaussian and its derivative on a grid")
@@ -42,6 +42,7 @@
 option_with_default(PYMOD_INSTALL_LIBDIR "Location within CMAKE_INSTALL_LIBDIR to which python modules are installed
                                           Must start with: / . Used to imitate python install: /python3.6/site-packages ." /)
 option_with_print(INSTALL_PYMOD "Additionally installs as independent python module in PYMOD_INSTALL_LIBDIR" OFF)
+option_with_default(NATIVE_PYTHON_INSTALL "For INSTALL_PYMOD=ON, install in Python manner to PYTHON_EXECUTABLE's site-packages rather than Linux manner to prefix. Overrides CMAKE_INSTALL_PREFIX, CMAKE_INSTALL_LIBDIR, PYMOD_INSTALL_LIBDIR. Only Py module installed." OFF)
 
 ########################  Process & Validate Options  ##########################
 include(autocmake_safeguards)
@@ -67,6 +68,17 @@
                                      import gau2grid as gg; \
                                      gg.c_gen.generate_c_gau2grid(${MAX_AM}, path='${CMAKE_CURRENT_BINARY_DIR}', cartesian_order='${CARTESIAN_ORDER}', spherical_order='${SPHERICAL_ORDER}')"
     DEPENDS gau2grid/c_generator.py
+            gau2grid/c_generator.py
+            gau2grid/codegen.py
+            gau2grid/c_pragma.py
+            gau2grid/c_util_generator.py
+            gau2grid/c_wrapper.py
+            gau2grid/docs_generator.py
+            gau2grid/np_generator.py
+            gau2grid/order.py
+            gau2grid/python_reference.py
+            gau2grid/RSH.py
+            gau2grid/utility.py
     VERBATIM)
 
 set(sources_list ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_phi.c
@@ -96,15 +108,6 @@
 
 set(PN ${PROJECT_NAME})
 
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/gau2grid.h
-              ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_pragma.h
-              DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PN})
-
-install(TARGETS gg
-        EXPORT "${PN}Targets"
-        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
-        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
-
 target_include_directories(gg INTERFACE
                            $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)
 
@@ -118,19 +121,51 @@
                                  COMPATIBILITY AnyNewerVersion)
 
 # Install our files
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PN}Config.cmake
-              ${CMAKE_CURRENT_BINARY_DIR}/${PN}ConfigVersion.cmake
-        DESTINATION ${CMAKECONFIG_INSTALL_DIR})
-install(EXPORT "${PN}Targets"
-        NAMESPACE "${PN}::"
-        DESTINATION ${CMAKECONFIG_INSTALL_DIR})
+if(NOT(${INSTALL_PYMOD} AND ${NATIVE_PYTHON_INSTALL}))
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/gau2grid.h
+                  ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_pragma.h
+                  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PN})
+
+    install(TARGETS gg
+            EXPORT "${PN}Targets"
+            ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
+            LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
+
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PN}Config.cmake
+                  ${CMAKE_CURRENT_BINARY_DIR}/${PN}ConfigVersion.cmake
+            DESTINATION ${CMAKECONFIG_INSTALL_DIR})
+    install(EXPORT "${PN}Targets"
+            NAMESPACE "${PN}::"
+            DESTINATION ${CMAKECONFIG_INSTALL_DIR})
+endif()
 
 if(${INSTALL_PYMOD})
+    if(${NATIVE_PYTHON_INSTALL})
+        execute_process(COMMAND ${PYTHON_EXECUTABLE} -c
+                        "import sys; print(sys.prefix);"
+                        OUTPUT_VARIABLE CMAKE_INSTALL_PREFIX
+                        OUTPUT_STRIP_TRAILING_WHITESPACE)
+        execute_process(COMMAND ${PYTHON_EXECUTABLE} -c
+                        "from distutils import sysconfig as s; import os; import sys; cmake_install_prefix = sys.prefix; prefix_lib = s.get_config_var('LIBDIR'); print(prefix_lib.replace(os.path.commonpath([prefix_lib, cmake_install_prefix]), '').strip('/'));"
+                        OUTPUT_VARIABLE CMAKE_INSTALL_LIBDIR
+                        OUTPUT_STRIP_TRAILING_WHITESPACE)
+        execute_process(COMMAND ${PYTHON_EXECUTABLE} -c
+                        "from distutils import sysconfig as s; import os; prefix_lib = s.get_config_var('LIBDIR'); spdir = s.get_python_lib(plat_specific=True); print(spdir.replace(os.path.commonpath([prefix_lib, spdir]), ''));"
+                        OUTPUT_VARIABLE PYMOD_INSTALL_LIBDIR
+                        OUTPUT_STRIP_TRAILING_WHITESPACE)
+    endif()
+
+    execute_process(COMMAND ${PYTHON_EXECUTABLE} -c
+                    "from numpy import distutils; print(distutils.misc_util.get_shared_lib_extension(is_python_ext=False))"
+                    OUTPUT_VARIABLE PYLIB_EXTENSION
+                    OUTPUT_STRIP_TRAILING_WHITESPACE)
+
     install(DIRECTORY gau2grid
             DESTINATION ${CMAKE_INSTALL_LIBDIR}${PYMOD_INSTALL_LIBDIR}
             USE_SOURCE_PERMISSIONS
-            FILES_MATCHING PATTERN "*.py" PATTERN "*.npz")
+            FILES_MATCHING PATTERN "*.py")
 
     install(FILES $<TARGET_FILE:gg>
-            DESTINATION ${CMAKE_INSTALL_LIBDIR}${PYMOD_INSTALL_LIBDIR}/gau2grid)
+            DESTINATION ${CMAKE_INSTALL_LIBDIR}${PYMOD_INSTALL_LIBDIR}/gau2grid
+            RENAME "gg${PYLIB_EXTENSION}")
 endif()
