=== debian/changelog ===
gau2grid (1.3.1-2) unstable; urgency=medium

  * Team upload
  * Fix FTBFS if build directory contains "-D"
    Closes: #928363
  * d/copyright: Fix license name

 -- Andreas Tille <tille@debian.org>  Sun, 12 May 2019 08:53:30 +0200

gau2grid (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/pybuild_install_fix.patch: New patch, removes CMake install
    run during pybuild's build.

 -- Michael Banck <mbanck@debian.org>  Tue, 01 Jan 2019 13:06:25 +0100

gau2grid (1.3.0-3) unstable; urgency=medium

  * debian/rules (override_dh_auto_configure): Define ENABLE_XHOST=OFF (Closes:
    #916841).

 -- Michael Banck <mbanck@debian.org>  Mon, 24 Dec 2018 15:23:57 +0100
