=== debian/control ===
--- 
+++ 
@@ -20,11 +20,41 @@
 
 Package: python3-gau2grid
 Architecture: any
+Section: python
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends}
+Description: Computing gaussians on a grid (python module)
+ gau2grid is a python-generated C library for vectorized computation of grid to
+ gaussian collocation matrices. The core of gau2grid is generating the
+ collocation matrices between a real space grid and a gaussian basis set
+ expanded to a given angular momenta.
+ .
+ This package contains the python3 module.
+
+Package: libgg1
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
 Description: Computing gaussians on a grid
  gau2grid is a python-generated C library for vectorized computation of grid to
  gaussian collocation matrices. The core of gau2grid is generating the
  collocation matrices between a real space grid and a gaussian basis set
  expanded to a given angular momenta.
+ .
+ This package contains the shared library.
+
+Package: libgg-dev
+Architecture: any
+Section: libdevel
+Depends: libgg1 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends},
+Description: Computing gaussians on a grid (development files)
+ gau2grid is a python-generated C library for vectorized computation of grid to
+ gaussian collocation matrices. The core of gau2grid is generating the
+ collocation matrices between a real space grid and a gaussian basis set
+ expanded to a given angular momenta.
+ .
+ This package contains the header and cmake support files.
