=== debian/changelog ===
gau2grid (2.0.3-1) unstable; urgency=medium

  [ Debichem Team ]
  * New upstream point release.

  [ Michael Banck ]
  * debian/patches/fix_setup.py: Refreshed.
  * debian/patches/pybuild_install_fix.patch: Likewise.

 -- Michael Banck <mbanck@debian.org>  Mon, 28 Oct 2019 22:31:14 +0100

gau2grid (2.0.1-2) unstable; urgency=medium

  * Reupload with 1.3.1-2 changes.

 -- Michael Banck <mbanck@debian.org>  Sat, 21 Sep 2019 15:36:57 +0200

gau2grid (2.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Banck <mbanck@debian.org>  Sat, 21 Sep 2019 15:23:12 +0200
