=== debian/changelog ===
gau2grid (2.0.4-1ubuntu1) focal; urgency=medium

  * Drop unnecessary build-dependency on python-minimal

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 11 Mar 2020 12:52:42 +0000

gau2grid (2.0.4-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:31:04 +0000

gau2grid (2.0.4-1) unstable; urgency=medium

  * New upstream point release.
  * debian/libgg1.install: Renamed to ... 
  * debian/libgg2.install: ... his.
  * debian/control: Rename occurrences of libgg1 to libgg2.

 -- Michael Banck <mbanck@debian.org>  Sun, 10 Nov 2019 18:44:17 +0100
