=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: gau2grid
 Section: libs
 Priority: optional
-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>
 Build-Depends: debhelper (>= 10),
                cmake (>= 3.0.2),
                dh-python,
-               python-minimal,
                python3-dev (>= 3.6),
                python3-numpy,
                python3-pytest,
@@ -32,7 +32,7 @@
  .
  This package contains the python3 module.
 
-Package: libgg1
+Package: libgg2
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -48,7 +48,7 @@
 Package: libgg-dev
 Architecture: any
 Section: libdevel
-Depends: libgg1 (= ${binary:Version}),
+Depends: libgg2 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends},
 Description: Computing gaussians on a grid (development files)
