=== debian/changelog ===
gau2grid (2.0.5-1) unstable; urgency=medium

  * New upstream point release.

 -- Michael Banck <mbanck@debian.org>  Sun, 03 Jan 2021 18:36:51 +0100

gau2grid (2.0.4-2) unstable; urgency=medium

  * Team upload
  * Drop unnecessary build-dependency on python-minimal
    (Closes: #936584)
  * Clean trailing whitespace from debian/changelog
  * Add debian/clean to prevent FTBFSx2
  * Switch to debhelper 12
  * Set Rules-Requires-Root: no
  * Drop duplicate Section: libs from libgg2
  * Mark libgg2 and libgg-dev Multi-Arch: same
  * Update description of python3-gau2grid
  * Drop obsolete X-Python3-Version
  * Bump Standards-Version to 4.5.0, no further changes

 -- Graham Inggs <ginggs@debian.org>  Thu, 12 Mar 2020 13:28:49 +0000
