=== debian/changelog ===
gau2grid (2.0.7-1) unstable; urgency=medium

  * New upstream point release.

 -- Michael Banck <mbanck@debian.org>  Sun, 17 Jan 2021 20:15:13 +0100

gau2grid (2.0.6-1) unstable; urgency=medium

  * New upstream point release.

 -- Michael Banck <mbanck@debian.org>  Sat, 09 Jan 2021 10:51:01 +0100
