=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: gau2grid
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                cmake (>= 3.0.2),
                dh-python,
                python3-dev (>= 3.6),
                python3-numpy,
                python3-pytest,
                python3-setuptools
-Standards-Version: 4.1.3
-X-Python3-Version: >= 3.6
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/dgasmith/gau2grid/
 Testsuite: autopkgtest-pkg-python
 Vcs-Browser: https://salsa.debian.org/debichem-team/gau2grid
@@ -24,7 +23,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends}
-Description: Computing gaussians on a grid (python module)
+Description: Computing gaussians on a grid (Python 3 module)
  gau2grid is a python-generated C library for vectorized computation of grid to
  gaussian collocation matrices. The core of gau2grid is generating the
  collocation matrices between a real space grid and a gaussian basis set
@@ -34,7 +33,7 @@
 
 Package: libgg2
 Architecture: any
-Section: libs
+Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
 Description: Computing gaussians on a grid
@@ -46,6 +45,7 @@
  This package contains the shared library.
 
 Package: libgg-dev
+Multi-Arch: same
 Architecture: any
 Section: libdevel
 Depends: libgg2 (= ${binary:Version}),
