=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,8 @@
 	dh_auto_configure
 	dh_auto_configure --buildsystem=cmake --	\
 		-DCMAKE_BUILD_TYPE=Release		\
-		-DPYTHON_EXECUTABLE=/usr/bin/python3
+		-DPYTHON_EXECUTABLE=/usr/bin/python3	\
+		-DENABLE_XHOST=OFF
 
 override_dh_auto_build:
 	dh_auto_build
