=== debian/watch ===
version=3
https://github.com/dgasmith/gau2grid/releases .*/archive/v([\d.]+)\.tar\.gz
