=== debian/changelog ===
gau2grid (2.0.8-1) unstable; urgency=medium

  * New upstream point release.
  * debian/rules (override_dh_auto_configure): Add
    -DCMAKE_POLICY_VERSION_MINIMUM=3.5 (Closes: #1112943).

 -- Michael Banck <mbanck@debian.org>  Sun, 16 Nov 2025 16:35:21 +0100

gau2grid (2.0.7-3) unstable; urgency=medium

  * debian/patches/fix_versioneer.patch: New patch, fixes a build error during
    setup (Closes: #1074649).

 -- Michael Banck <mbanck@debian.org>  Sun, 16 Mar 2025 16:30:36 +0100

gau2grid (2.0.7-2) unstable; urgency=medium

  [ Michael Banck ]
  * debian/watch: Updated.

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Michael Banck <mbanck@debian.org>  Sat, 02 Dec 2023 18:34:55 +0100
