=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 override_dh_auto_configure:
 	dh_auto_configure
 	dh_auto_configure --buildsystem=cmake --	\
+		-DCMAKE_POLICY_VERSION_MINIMUM=3.5	\
 		-DCMAKE_BUILD_TYPE=Release		\
 		-DPYTHON_EXECUTABLE=/usr/bin/python3	\
 		-DENABLE_XHOST=OFF
